%global ruby_sitelib %(ruby -rrbconfig -e "puts Config::CONFIG['sitelibdir']")
%global gemdir %(ruby -rubygems -e 'puts Gem::dir' 2>/dev/null)
%global gemname rerun
%global geminstdir %{gemdir}/gems/%{gemname}-%{version}

Summary: Restarts your app when a file changes
Name: rubygem-%{gemname}
Version: 0.5.2
Release: 4%{?dist}
Group: Development/Languages
License: MIT
URL: http://github.com/alexch/rerun/
Source0: http://rubygems.org/gems/%{gemname}-%{version}.gem
Requires: rubygems
Requires: ruby(abi) = 1.8
BuildRequires: rubygems
BuildRequires: rubygem(rake)
BuildRequires: rubygem(rspec)
BuildArch: noarch
Provides: rubygem(%{gemname}) = %{version}

%description
Launches an app, and restarts it whenever the filesystem changes

%prep

%build

%install
rm -rf %{buildroot}
mkdir -p %{buildroot}%{gemdir}
gem install --local --install-dir %{buildroot}%{gemdir} \
            --force --no-ri --rdoc %{SOURCE0}
mkdir -p %{buildroot}/%{_bindir}
mv %{buildroot}%{gemdir}/bin/* %{buildroot}/%{_bindir}
rmdir %{buildroot}%{gemdir}/bin
find %{buildroot}%{geminstdir}/bin -type f | xargs chmod a+x

%check
pushd %{buildroot}/%{geminstdir}
rake spec --trace
popd

%clean
rm -rf %{buildroot}

%files
%defattr(-, root, root, -)
%{_bindir}/rerun
%{geminstdir}/lib
%{geminstdir}/bin
%{geminstdir}/Rakefile
%doc %{geminstdir}/rerun.gemspec
%doc %{geminstdir}/LICENSE
%doc %{gemdir}/doc/%{gemname}-%{version}
%doc %{geminstdir}/README.md
%{gemdir}/cache/%{gemname}-%{version}.gem
%{gemdir}/specifications/%{gemname}-%{version}.gemspec


%changelog
* Wed Feb 09 2011 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.5.2-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_15_Mass_Rebuild

* Tue Sep 14 2010 Michal Fojtik <mfojtik@redhat.com> - 0.5.2-3
- Fixed inconsistent changelog entry

* Fri May 05 2010 Michal Fojtik <mfojtik@redhat.com> - 0.5.2-2
- Fixed wrong patch in test
- Added --no-ri into gem install

* Fri Apr 30 2010 Michal Fojtik <mfojtik@redhat.com> - 0.5.2-1
- Initial package
